package com.zfire.jiasm.syncdata.constant;

import lombok.Getter;

/**
 * 安装工单
 * @author yaozx
 * @version 1.0
 * @date 2023-01-10
 */
@Getter
public enum ESInstallEnum {


    /**
     * 销售公司编号
     */
    SALES_WEBSIT_NUMBER("X2100000","销售公司编号"),
    /**
     * 安装工单主表
     */
    TBL_AZ_ASSIGN_LC_LS("TBL_AZ_ASSIGN_LC_LS","安装工单主表"),
    /**
     * 安装工单明细表
     */
    TBL_AZ_ASSIGN_MX("TBL_AZ_ASSIGN_MX","安装工单明细表"),
    /**
     * 安装反馈明细表
     */
    TBL_AZ_ASSIGN_FKMX("TBL_AZ_ASSIGN_FKMX","安装反馈明细表"),
    /**
     * 安装费用清单表
     */
    TBL_AZ_ASSIGN_FEE("TBL_AZ_ASSIGN_FEE","安装费用清单表"),
    /**
     * 用户预约改约表
     */
    TBL_AZ_ASSIGN_APPOINTMENT("TBL_AZ_ASSIGN_APPOINTMENT","用户预约改约表"),
    /**
     * 安装辅助人员表
     */
    TBL_AZ_ASSIGN_LC_FZRY("TBL_AZ_ASSIGN_LC_FZRY","安装辅助人员表"),
    /**
     * 客户评价表
     */
    TBL_AZ_ASSIGN_SATISFACTION("TBL_AZ_ASSIGN_SATISFACTION","客户评价表"),
    /**
     * 第三方平台订单信息表
     */
    TBL_AZ_ASSIGN_PLATFORM("TBL_AZ_ASSIGN_PLATFORM","第三方平台订单信息表"),









    ;










    /**
     * 编码
     */
    private final String code;


    private final String text;

    ESInstallEnum(String code, String text) {
        this.code = code;
        this.text = text;
    }

    public static ESInstallEnum getByCode(String code) {
        for (ESInstallEnum item : values()) {
            if (code.equals(item.getCode())) {
                return item;
            }
        }
        return null;
    }

    /**
     * @param code: code
     * @return 对应枚举
     **/
    public static String getMessageByCode(String code) {
        String result = null;
        for (ESInstallEnum item : values()) {
            if (code.equals(item.getCode())) {
                result = item.getText();
                break;
            }
        }
        return result;
    }
}
